
fn main() {
    let opts = ufbx::LoadOpts::default();
    let scene = match ufbx::load_file("my_scene.fbx", opts) {
        Ok(scene) => scene,
        Err(error) => panic!("Failed to load scene: {}", error.description),
    };
    
    // Use and inspect `scene`, it's just plain data!
    
    // Let's just list all objects within the scene for example:
    for node in &scene.nodes {
        if node.is_root { continue }
    
        println!("Object: {}", node.element.name);
        if let Some(mesh) = &node.mesh {
            println!("-> mesh with {} faces", mesh.faces.len());
        }
    }
}
